Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.entityproperties
Class PersonDirPropertyFinder

    java.lang.Object
      org.jasig.portal.services.entityproperties.PersonDirPropertyFinder

All Implemented Interfaces:
  IEntityPropertyFinder

    public class PersonDirPropertyFinder

extends java.lang.Object
implements IEntityPropertyFinder

A finder implementation to provide IPerson properties derived from the PersonDirectory

Version:
  $Revision: 1.21 $
Author:
  Alex Vigdor av317@columbia.edu

Field Summary
`private SoftHashMap` | `cache`
`private static org.apache.commons.logging.Log` | `log`
`private IPersonAttributeDao` | `pa`
`private java.lang.Class` | `person`

Constructor Summary
`PersonDirPropertyFinder()`

Method Summary
`protected java.util.Hashtable` | `getPropertiesHash(EntityIdentifier entityID)`
`java.lang.String` | `getProperty(EntityIdentifier entityID, java.lang.String name)`
`java.lang.String[]` | `getPropertyNames(EntityIdentifier entityID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### person

    private java.lang.Class person

### pa

    private IPersonAttributeDao pa

### cache

    private SoftHashMap cache

Constructor Detail

### PersonDirPropertyFinder

    public PersonDirPropertyFinder()

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames(EntityIdentifier entityID)

  Specified by:
    `getPropertyNames` in interface `IEntityPropertyFinder`

### getProperty

    public java.lang.String getProperty(EntityIdentifier entityID,
                                        java.lang.String name)

  Specified by:
    `getProperty` in interface `IEntityPropertyFinder`

### getPropertiesHash

    protected java.util.Hashtable getPropertiesHash(EntityIdentifier entityID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD